"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@salesforce/core");
class SfPowerKit {
    static async getProjectDirectories() {
        if (!SfPowerKit.projectDirectories) {
            SfPowerKit.projectDirectories = [];
            const dxProject = await core_1.SfdxProject.resolve();
            const project = await dxProject.retrieveSfdxProjectJson();
            let packages = project.get("packageDirectories") || [];
            packages.forEach(element => {
                SfPowerKit.projectDirectories.push(element.path);
                if (element.default) {
                    SfPowerKit.defaultFolder = element.path;
                }
            });
        }
        return SfPowerKit.projectDirectories;
    }
    static async getDefaultFolder() {
        if (!SfPowerKit.defaultFolder) {
            await SfPowerKit.getProjectDirectories();
        }
        return SfPowerKit.defaultFolder;
    }
    static setDefaultFolder(defaultFolder) {
        SfPowerKit.defaultFolder = defaultFolder;
    }
    static async getConfig() {
        if (!SfPowerKit.pluginConfig) {
            const dxProject = await core_1.SfdxProject.resolve();
            const project = await dxProject.retrieveSfdxProjectJson();
            let plugins = project.get("plugins");
            let sfpowerkitConfig = plugins["sfpowerkit"];
            SfPowerKit.pluginConfig = sfpowerkitConfig || {};
        }
        return SfPowerKit.pluginConfig;
    }
}
exports.SfPowerKit = SfPowerKit;
//# sourceMappingURL=sfpowerkit.js.map